Package org.alfresco.rest.api.model
Record Class AuthKey
java.lang.Object
java.lang.Record
org.alfresco.rest.api.model.AuthKey
An object representing user authorization key request body.
-
Constructor Summary
Constructors -
Method Summary
-
Constructor Details
-
AuthKey
Creates an instance of aAuthKeyrecord class.- Parameters:
authorizationKey- the value for theauthorizationKeyrecord component
-
-
Method Details
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
authorizationKey
Returns the value of theauthorizationKeyrecord component.- Returns:
- the value of the
authorizationKeyrecord component
-